TSMGMTSOURCEGET(3ts)

NAME
TSMgmtSourceGet - TSMgmtSourceGet API function

SYNOPSIS

            #include <ts/ts.h>

    TSReturnCode TSMgmtSourceGet(const char *var_name, TSMgmtSource *result)

DESCRIPTION

Get the source of a value for a configuration variable. var_name is the name of the variable as a nul terminated string. The source value is stored in result. The function can return failure if var_name is not found.

TYPES

    type TSMgmtSource
        Source of the current value for a management (configuration) value.

        TS_MGMT_SOURCE_NULL
            Invalid value, no source available. This is primarily used as an initialization or error value and should be returned only when the API call fails.

        TS_MGMT_SOURCE_DEFAULT
            The default value provided by the Traffic Server core.

        TS_MGMT_SOURCE_PLUGIN
            The configuration variable was created by a plugin and the value is the default value provided by a plugin.

        TS_MGMT_SOURCE_EXPLICIT
            The value has been set in records.config. Note this value is returned even if the variable was explicitly set to the default value.

        TS_MGMT_SOURCE_ENV
            The value was retrieved from the process environment, overriding the default value.

RETURN VALUES

TS_SUCCESS if the var_name was found, TS_ERROR if not.

COPYRIGHT
2025, dev@trafficserver.apache.org